import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PagesComponent } from './pages.component';
import { PagesRoutingModule } from './pages-routing.module';
import { SidebarComponent } from 'app/commons/layouts/sidebar/sidebar.component';
import { CovalentModule } from 'app/commons/ui/covalent/covalent.module';
import { MaterialModule } from 'app/commons/ui/material/material.module';
import { HeaderComponent } from 'app/commons/layouts/header/header.component';
import { FooterComponent } from 'app/commons/layouts/footer/footer.component';
import { MenuItemComponent } from 'app/commons/layouts/menu-item/menu-item.component';
import { FlexLayoutModule } from '@angular/flex-layout';
import {
  PerfectScrollbarModule,
  PERFECT_SCROLLBAR_CONFIG,
  PerfectScrollbarConfigInterface
} from 'ngx-perfect-scrollbar';
import { NotificationComponent } from 'app/packages/notification/notification.component';

const DEFAULT_PERFECT_SCROLLBAR_CONFIG: PerfectScrollbarConfigInterface = {
  suppressScrollX: true
};


@NgModule({
  imports: [
    CommonModule,
    PagesRoutingModule,
    CovalentModule,
    MaterialModule,
    PerfectScrollbarModule,
    FlexLayoutModule
  ],
  declarations: [
    PagesComponent,
    SidebarComponent,
    HeaderComponent,
    FooterComponent,
    MenuItemComponent,
    NotificationComponent,
  ],
  providers: [
    {
      provide: PERFECT_SCROLLBAR_CONFIG,
      useValue: DEFAULT_PERFECT_SCROLLBAR_CONFIG
    }
  ]
})
export class PagesModule { }
